import { Done } from '../../../../../../Class/Functional/Done';
import { Semifunctional } from '../../../../../../Class/Semifunctional';
import { System } from '../../../../../../system';
import { A } from '../../../../../../types/interface/A';
import { TA } from '../../../../../../types/interface/TA';
export interface I {
    init: number[];
    done: any;
}
export interface O {
    array: A & TA;
}
export default class Uint8Array0 extends Semifunctional<I, O> {
    constructor(system: System);
    f({ init }: I, done: Done<O>): void;
    onIterDataInputData(name: string, data: any): void;
}
